Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails)

#1 Le 18/10/2013, à 15:52

toto20

je n'arrive pas a telecharger de logiciels avec ma logitèque muon

bonjour tout le monde
je suis débutant avec kubuntu et je voudrai télécharger zsnes
donc j'ouvre ma logitèque ,je trouve zsnes et quand je clic sur télécharger ma page d'identification apparais pendant une demi seconde (se qui ne me laisse bien évidamant pas le temps pour marquer mon mot de passe) et la la une fenêtre s'ouvre en me disant "Il est impossible de poursuivre cette opération car aucune autorisation correcte n'a été fournie"et dans le terminal c'est pareil

si quelqu’un a la solution qu'il m'en fasse profiter s'il vous plait
merci d'avance

Hors ligne

#2 Le 18/10/2013, à 17:11

abelthorne

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

Je ne suis pas sous Kubuntu, je n'utilise pas Muon mais avec un sudo apt-get install zsnes dans un terminal, ça devrait marcher. Il faudra taper ton mot de passe en aveugle, cependant ; c'est normal qu'il n'affiche pas les caractères quand tu les tapes dans le terminal.

(Et au passage, pour l'émulation SuperNES, je te suggérerais plutôt snes9x-gtk mais il n'est pas dans les dépôts.)

Bon, ça ne résout pas ton problème avec Muon...

En ligne

#3 Le 19/10/2013, à 18:39

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

merci de ta réponse
j'ai essayer de taper sudo apt-get install zsnes et sa me donne ca
[sudo] password for theo:
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
initramfs-tools : Dépend: initramfs-tools-bin (< 0.99ubuntu13.1.1~) mais 0.99ubuntu13.2 devra être installé
linux-image-generic-pae : Dépend: linux-image-3.2.0-53-generic-pae mais ne sera pas installé
zsnes : Dépend: libao4 (>= 1.1.0) mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).
quand je met apt-get -f install comme ils me conseil sa donne ça
E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Avez-vous les privilèges du superutilisateur ?
alors une idée?
pour snes9x gtk je l'ai telecharger mais après je suis perdu car les instalation en tar.bz2 je n'y connait rien non plus
voila merci d'avance

Hors ligne

#4 Le 19/10/2013, à 18:51

abelthorne

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

Alors là, il y a des erreurs bizarres. Pour commencer, vérifie bien que Muon est fermé avant de lancer apt-get (on ne peut lancer qu'un gestionnaire de paquets en même temps).

Ensuite, tente un sudo apt-get update puis un sudo apt-get dist-upgrade
S'il te reparle de dépendances non-satisfaites, essaie à nouveau le sudo apt-get install -f mais vérifie bien la liste des paquets qu'il va modifier avant de valider (histoire de pas effacer la moitié du système sur un malentendu).

Est-ce que tu utilises des dépôts tiers (PPA ou autres) sur ton système ?

Dernière modification par abelthorne (Le 19/10/2013, à 18:51)

En ligne

#5 Le 20/10/2013, à 12:51

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

excuse moi de t’embêter autant je suis vraiment pas un cadeau
pour les depot "tiers ppa ou autre" j'en sais rien
j'ai essayer sudo apt-get update et mon terminal me donne tout ça je pensse que c'est bon (mais c'est pour eviter les malentendu):)

Réception de : 1 http://extras.ubuntu.com precise Release.gpg [72 B]
Réception de : 2 http://security.ubuntu.com precise-security Release.gpg [198 B]                     
Atteint http://fr.archive.ubuntu.com precise Release.gpg               
Réception de : 3 http://fr.archive.ubuntu.com precise-updates Release.gpg [198 B]
Réception de : 4 http://fr.archive.ubuntu.com precise-backports Release.gpg [198 B]
Atteint http://extras.ubuntu.com precise Release                       
Réception de : 5 http://security.ubuntu.com precise-security Release [49,6 kB]               
Atteint http://fr.archive.ubuntu.com precise Release                                             
Réception de : 6 http://fr.archive.ubuntu.com precise-updates Release [49,6 kB]                 
Atteint http://extras.ubuntu.com precise/main Sources                                                                       
Atteint http://extras.ubuntu.com precise/main i386 Packages                                         
Ign http://extras.ubuntu.com precise/main TranslationIndex           
Réception de : 7 http://security.ubuntu.com precise-security/main Sources [91,8 kB]                   
Réception de : 8 http://fr.archive.ubuntu.com precise-backports Release [49,6 kB]                     
Réception de : 9 http://security.ubuntu.com precise-security/restricted Sources [2 494 B]                                                     
Réception de : 10 http://security.ubuntu.com precise-security/universe Sources [28,4 kB]                                                     
Réception de : 11 http://security.ubuntu.com precise-security/multiverse Sources [1 804 B]                                                   
Réception de : 12 http://security.ubuntu.com precise-security/main i386 Packages [348 kB]                                                 
Atteint http://fr.archive.ubuntu.com precise/main Sources                                                                     
Atteint http://fr.archive.ubuntu.com precise/restricted Sources                                         
Atteint http://fr.archive.ubuntu.com precise/universe Sources                                         
Réception de : 13 http://security.ubuntu.com precise-security/restricted i386 Packages [4 620 B]       
Réception de : 14 http://security.ubuntu.com precise-security/universe i386 Packages [86,7 kB]                             
Atteint http://fr.archive.ubuntu.com precise/multiverse Sources                                                             
Réception de : 15 http://security.ubuntu.com precise-security/multiverse i386 Packages [2 640 B]                                 
Réception de : 16 http://security.ubuntu.com precise-security/main TranslationIndex [74 B]                                       
Réception de : 17 http://security.ubuntu.com precise-security/multiverse TranslationIndex [72 B]                                 
Réception de : 18 http://security.ubuntu.com precise-security/restricted TranslationIndex [72 B]
Réception de : 19 http://security.ubuntu.com precise-security/universe TranslationIndex [73 B] 
Réception de : 20 http://security.ubuntu.com precise-security/main Translation-en [158 kB]                                       
Atteint http://fr.archive.ubuntu.com precise/main i386 Packages                                                                               
Atteint http://fr.archive.ubuntu.com precise/restricted i386 Packages                                                                         
Ign http://extras.ubuntu.com precise/main Translation-fr_FR                                                                                   
Atteint http://fr.archive.ubuntu.com precise/universe i386 Packages                                                                           
Ign http://extras.ubuntu.com precise/main Translation-fr                                                                                     
Atteint http://fr.archive.ubuntu.com precise/multiverse i386 Packages                                                                         
Ign http://extras.ubuntu.com precise/main Translation-en                                                                                     
Atteint http://fr.archive.ubuntu.com precise/main TranslationIndex                                                                           
Atteint http://fr.archive.ubuntu.com precise/multiverse TranslationIndex                                                                     
Atteint http://fr.archive.ubuntu.com precise/restricted TranslationIndex                                                                     
Atteint http://fr.archive.ubuntu.com precise/universe TranslationIndex                                                                       
Réception de : 21 http://fr.archive.ubuntu.com precise-updates/main Sources [422 kB]                                                         
Atteint http://security.ubuntu.com precise-security/multiverse Translation-en                                                                 
Atteint http://security.ubuntu.com precise-security/restricted Translation-en                                                                 
Réception de : 22 http://security.ubuntu.com precise-security/universe Translation-en [52,8 kB]                                               
Réception de : 23 http://fr.archive.ubuntu.com precise-updates/restricted Sources [7 006 B]                                                   
Réception de : 24 http://fr.archive.ubuntu.com precise-updates/universe Sources [98,0 kB]                                                     
Réception de : 25 http://fr.archive.ubuntu.com precise-updates/multiverse Sources [8 343 B]                                                   
Réception de : 26 http://fr.archive.ubuntu.com precise-updates/main i386 Packages [716 kB]                                                   
Réception de : 27 http://fr.archive.ubuntu.com precise-updates/restricted i386 Packages [11,4 kB]                                             
Réception de : 28 http://fr.archive.ubuntu.com precise-updates/universe i386 Packages [224 kB]                                               
Réception de : 29 http://fr.archive.ubuntu.com precise-updates/multiverse i386 Packages [14,0 kB]                                             
Réception de : 30 http://fr.archive.ubuntu.com precise-updates/main TranslationIndex [3 564 B]                                               
Réception de : 31 http://fr.archive.ubuntu.com precise-updates/multiverse TranslationIndex [2 605 B]                                         
Réception de : 32 http://fr.archive.ubuntu.com precise-updates/restricted TranslationIndex [2 461 B]                                         
Réception de : 33 http://fr.archive.ubuntu.com precise-updates/universe TranslationIndex [2 850 B]                                           
Réception de : 34 http://fr.archive.ubuntu.com precise-backports/main Sources [4 615 B]                                                       
Réception de : 35 http://fr.archive.ubuntu.com precise-backports/restricted Sources [14 B]                                                   
Réception de : 36 http://fr.archive.ubuntu.com precise-backports/universe Sources [35,5 kB]                                                   
Réception de : 37 http://fr.archive.ubuntu.com precise-backports/multiverse Sources [5 311 B]                                                 
Réception de : 38 http://fr.archive.ubuntu.com precise-backports/main i386 Packages [3 044 B]                                                 
Réception de : 39 http://fr.archive.ubuntu.com precise-backports/restricted i386 Packages [14 B]                                             
Réception de : 40 http://fr.archive.ubuntu.com precise-backports/universe i386 Packages [36,3 kB]                                             
Réception de : 41 http://fr.archive.ubuntu.com precise-backports/multiverse i386 Packages [5 178 B]                                           
Réception de : 42 http://fr.archive.ubuntu.com precise-backports/main TranslationIndex [72 B]                                                 
Réception de : 43 http://fr.archive.ubuntu.com precise-backports/multiverse TranslationIndex [72 B]                                           
Réception de : 44 http://fr.archive.ubuntu.com precise-backports/restricted TranslationIndex [70 B]                                           
Réception de : 45 http://fr.archive.ubuntu.com precise-backports/universe TranslationIndex [73 B]                                             
Atteint http://fr.archive.ubuntu.com precise/main Translation-fr_FR                                                                           
Atteint http://fr.archive.ubuntu.com precise/main Translation-fr                                                                             
Atteint http://fr.archive.ubuntu.com precise/main Translation-en                                                                             
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-fr_FR                                                                     
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-fr                                                                       
Atteint http://fr.archive.ubuntu.com precise/multiverse Translation-en                                                                       
Atteint http://fr.archive.ubuntu.com precise/restricted Translation-fr_FR                                                                     
Atteint http://fr.archive.ubuntu.com precise/restricted Translation-fr                                                                       
Atteint http://fr.archive.ubuntu.com precise/restricted Translation-en                                                                       
Atteint http://fr.archive.ubuntu.com precise/universe Translation-fr_FR                                                                       
Atteint http://fr.archive.ubuntu.com precise/universe Translation-fr                                                                         
Atteint http://fr.archive.ubuntu.com precise/universe Translation-en                                                                         
Atteint http://fr.archive.ubuntu.com precise-updates/main Translation-fr                                                                     
Réception de : 46 http://fr.archive.ubuntu.com precise-updates/main Translation-en [314 kB]                                                   
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse Translation-fr                                                               
Atteint http://fr.archive.ubuntu.com precise-updates/multiverse Translation-en                                                               
Atteint http://fr.archive.ubuntu.com precise-updates/restricted Translation-fr                                                               
Atteint http://fr.archive.ubuntu.com precise-updates/restricted Translation-en                                                               
Atteint http://fr.archive.ubuntu.com precise-updates/universe Translation-fr                                                                 
Réception de : 47 http://fr.archive.ubuntu.com precise-updates/universe Translation-en [129 kB]                                               
Réception de : 48 http://fr.archive.ubuntu.com precise-backports/main Translation-en [2 234 B]                                               
Atteint http://fr.archive.ubuntu.com precise-backports/multiverse Translation-en                                                             
Atteint http://fr.archive.ubuntu.com precise-backports/restricted Translation-en                                                             
Atteint http://fr.archive.ubuntu.com precise-backports/universe Translation-en                                                               
2 974 ko réceptionnés en 47s (62,5 ko/s)                                                                                                     
Lecture des listes de paquets... Fait

est ce que je peu modifier ?

Hors ligne

#6 Le 20/10/2013, à 13:43

abelthorne

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

Apparemment, rien à signaler. Si tu fais un sudo apt-get dist-upgrade tu n'as pas de message d'erreur particulier ?
Et avec un sudo apt-get install -f sans avoir Muon d'ouvert, tu as les mêmes erreurs que dans ton message #3 ?

En ligne

#7 Le 20/10/2013, à 18:25

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

j'ai ça

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
initramfs-tools : Dépend: initramfs-tools-bin (< 0.99ubuntu13.1.1~) mais 0.99ubuntu13.2 est installé
linux-image-generic-pae : Dépend: linux-image-3.2.0-53-generic-pae mais il n'est pas installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

et quand je met sudo apt-get install -f

ça me met

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libboost-regex1.46.1 libvamp-hostsdk3 libwxgtk2.8-0 libglew1.5 linux-headers-3.2.0-53 libportsmf0 libsdl-ttf2.0-0 libmikmod2 libwxbase2.8-0
  linux-headers-3.2.0-53-generic-pae libsdl-mixer1.2 libboost-system1.46.1
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  initramfs-tools linux-generic-pae linux-headers-3.2.0-54 linux-headers-3.2.0-54-generic-pae linux-headers-generic-pae
  linux-image-3.2.0-54-generic-pae linux-image-generic-pae
Paquets suggérés :
  fdutils linux-doc-3.2.0 linux-source-3.2.0 linux-tools
Les NOUVEAUX paquets suivants seront installés :
  linux-headers-3.2.0-54 linux-headers-3.2.0-54-generic-pae linux-image-3.2.0-54-generic-pae
Les paquets suivants seront mis à jour :
  initramfs-tools linux-generic-pae linux-headers-generic-pae linux-image-generic-pae
4 mis à jour, 3 nouvellement installés, 0 à enlever et 73 non mis à jour.
45 partiellement installés ou enlevés.
Il est nécessaire de prendre 51,1 Mo dans les archives.
Après cette opération, 181 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ?

Hors ligne

#8 Le 20/10/2013, à 18:29

abelthorne

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

À priori, tu peux valider le apt-get install -f. Ensuite, refais le dist-upgrade pour mettre à jour les 73 autres paquets.

En ligne

#9 Le 20/10/2013, à 18:58

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

j'ai fais entré et il ma mis ces message d'erreur

Err http://fr.archive.ubuntu.com/ubuntu/ precise-updates/main initramfs-tools all 0.99ubuntu13.2
  Ne parvient pas à résoudre « fr.archive.ubuntu.com »
Err http://fr.archive.ubuntu.com/ubuntu/ precise-updates/main linux-image-3.2.0-54-generic-pae i386 3.2.0-54.82
  Ne parvient pas à résoudre « fr.archive.ubuntu.com »
Err http://security.ubuntu.com/ubuntu/ precise-security/main linux-image-3.2.0-54-generic-pae i386 3.2.0-54.82
  Ne parvient pas à résoudre « security.ubuntu.com »
Err http://security.ubuntu.com/ubuntu/ precise-security/main linux-generic-pae i386 3.2.0.54.64
  Ne parvient pas à résoudre « security.ubuntu.com »
Err http://security.ubuntu.com/ubuntu/ precise-security/main linux-image-generic-pae i386 3.2.0.54.64
  Ne parvient pas à résoudre « security.ubuntu.com »
Err http://security.ubuntu.com/ubuntu/ precise-security/main linux-headers-3.2.0-54 all 3.2.0-54.82
  Ne parvient pas à résoudre « security.ubuntu.com »
Err http://security.ubuntu.com/ubuntu/ precise-security/main linux-headers-3.2.0-54-generic-pae i386 3.2.0-54.82
  Ne parvient pas à résoudre « security.ubuntu.com »
Err http://security.ubuntu.com/ubuntu/ precise-security/main linux-headers-generic-pae i386 3.2.0.54.64
  Ne parvient pas à résoudre « security.ubuntu.com »
Impossible de récupérer http://fr.archive.ubuntu.com/ubuntu/poo … .2_all.deb  Ne parvient pas à résoudre « fr.archive.ubuntu.com »
Impossible de récupérer http://security.ubuntu.com/ubuntu/pool/ … 2_i386.deb  Ne parvient pas à résoudre « security.ubuntu.com »
Impossible de récupérer http://security.ubuntu.com/ubuntu/pool/ … 4_i386.deb  Ne parvient pas à résoudre « security.ubuntu.com »
Impossible de récupérer http://security.ubuntu.com/ubuntu/pool/ … 4_i386.deb  Ne parvient pas à résoudre « security.ubuntu.com »
Impossible de récupérer http://security.ubuntu.com/ubuntu/pool/ … 82_all.deb  Ne parvient pas à résoudre « security.ubuntu.com »
Impossible de récupérer http://security.ubuntu.com/ubuntu/pool/ … 2_i386.deb  Ne parvient pas à résoudre « security.ubuntu.com »
Impossible de récupérer http://security.ubuntu.com/ubuntu/pool/ … 4_i386.deb  Ne parvient pas à résoudre « security.ubuntu.com »
E: Impossible de récupérer quelques archives, peut-être devrez-vous lancer apt-get update ou essayer avec --fix-missing ?

alors ? je met --fix-missing ou apt-get update

Hors ligne

#10 Le 20/10/2013, à 19:27

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

eh...
si enfaîte ça marche nickel

sauf que quand je mais sudo apt-get install -f

ça me met ça

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libboost-regex1.46.1 libvamp-hostsdk3 libwxgtk2.8-0 libglew1.5 linux-headers-3.2.0-37 linux-headers-3.2.0-53 libportsmf0
  linux-headers-3.2.0-37-generic-pae libsdl-ttf2.0-0 libmikmod2 libwxbase2.8-0 linux-headers-3.2.0-53-generic-pae libsdl-mixer1.2
  libboost-system1.46.1
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  linux-generic-pae linux-headers-generic-pae linux-image-generic-pae
Les paquets suivants seront mis à jour :
  linux-generic-pae linux-headers-generic-pae linux-image-generic-pae
3 mis à jour, 0 nouvellement installés, 0 à enlever et 73 non mis à jour.
2 partiellement installés ou enlevés.
Il est nécessaire de prendre 0 o/6 270 o dans les archives.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ?
(Lecture de la base de données... 183003 fichiers et répertoires déjà installés.)
Préparation du remplacement de linux-headers-generic-pae 3.2.0.53.63 (en utilisant .../linux-headers-generic-pae_3.2.0.54.64_i386.deb) ...
Dépaquetage de la mise à jour de linux-headers-generic-pae ...
dpkg : des problèmes de dépendances empêchent la configuration de linux-image-generic-pae :
linux-image-generic-pae dépend de linux-image-3.2.0-53-generic-pae ; cependant :
  Le paquet linux-image-3.2.0-53-generic-pae n'est pas installé.
dpkg : erreur de traitement de linux-image-generic-pae (--configure) :
problèmes de dépendances - laissé non configuré
Paramétrage de linux-headers-generic-pae (3.2.0.54.64) ...
Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                                                                                                  dpkg : des problèmes de dépendances empêchent la configuration de linux-generic-pae :
linux-generic-pae dépend de linux-image-generic-pae (= 3.2.0.53.63) ; cependant :
Le paquet linux-image-generic-pae n'est pas encore configuré.
linux-generic-pae dépend de linux-headers-generic-pae (= 3.2.0.53.63) ; cependant :
  La version de linux-headers-generic-pae sur le système est 3.2.0.54.64.
dpkg : erreur de traitement de linux-generic-pae (--configure) :
problèmes de dépendances - laissé non configuré
Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                                                                                                  Des erreurs ont été rencontrées pendant l'exécution :
linux-image-generic-pae
linux-generic-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)

Hors ligne

#11 Le 20/10/2013, à 19:30

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

et avec sudo apt-get dist-upgrade


Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes.
Les paquets suivants contiennent des dépendances non satisfaites :
linux-generic-pae : Dépend: linux-headers-generic-pae (= 3.2.0.53.63) mais 3.2.0.54.64 est installé
linux-image-generic-pae : Dépend: linux-image-3.2.0-53-generic-pae mais il n'est pas installé
E: Dépendances manquantes. Essayez d'utiliser l'option -f.

Hors ligne

#12 Le 20/10/2013, à 19:31

abelthorne

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

Tu es sur un Kubuntu en 32 ou 64 bits ? Dans le menu GRUB au boot, sur quel noyau démarres-tu ?

En ligne

#13 Le 20/10/2013, à 19:42

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

je pensse qu'il est en 32 bits

Hors ligne

#14 Le 20/10/2013, à 19:43

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

le moin possible c'est un eee pc 1001 pxd:(

Hors ligne

#15 Le 20/10/2013, à 20:14

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

grande nouvelle ma logiteque marche merci beaucoup pour tout et désolé pour le dérangement

Hors ligne

#16 Le 20/10/2013, à 20:30

abelthorne

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

Euh... il a résolu les problèmes de dépendances tout seul ?

En ligne

#17 Le 21/10/2013, à 12:23

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

et tu ma parler de snes9x
donc je l'ai télécharger et décompresser
ensuite ...  c'est tout
j'ai essayer sudo apt-get install snes9x
mais rien de très concluent :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet snes9x

sinon j'ai entendu dire que l'on pouvait le télécharger dans la logithèque avec des truc multivers  mais ça ne m'avance pas beaucoup

Hors ligne

#18 Le 21/10/2013, à 12:30

abelthorne

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

Il n'est pas dans les dépôts. Enfin, la version snes9x l'était il y a longtemps mais elle est complètement obsolète, c'est snes9x-gtk qu'il vaut mieux utiliser. Elle est disponible dans un PPA, voir la doc (http://doc.ubuntu-fr.org/snes9x-gtk).
Je viens de vérifier : le PPA n'est pas tout à fait à jour mais tu dois pouvoir récupérer le paquet pour Ubuntu 13.04 (Raring) et l'installer sous 13.10 sans problème. Va sur https://launchpad.net/~bearoso/+archive/ppa/+packages, déplie la ligne "snes9x-gtk - 1:1.53.81-1~raring1" et télécharge le paquet .deb i386 ou amd64 (selon que tu as une Ubuntu en 32 ou 64 bits) dans la partie "Package files".

En ligne

#19 Le 23/10/2013, à 14:33

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

d'accord mais je pense que le problemme de dependence n'est pas resolu car quand je met apt-get install snes9x-gtk

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
linux-generic-pae : Dépend: linux-headers-generic-pae (= 3.2.0.53.63) mais 3.2.0.54.64 devra être installé
linux-image-generic-pae : Dépend: linux-image-3.2.0-53-generic-pae mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

et après apt-get -f install j'ai toujours se message

E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire d'administration (/var/lib/dpkg/). Avez-vous les privilèges du superutilisateur ?

resultat je peux rien installer avec apt-get

Hors ligne

#20 Le 23/10/2013, à 15:08

abelthorne

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

Trois choses :
1) si tu as téléchargé le paquet .deb de SNES9X-gtk, ce n'est pas avec apt-get qu'il faut l'installer ; si tu as ajouté le dépôt PPA, c'est avec apt-get mais j'avais cru comprendre que tu étais en 13.10 et le PPA ne l'est pas encore
2) il y a effectivement encore le problème de dépendances sur les paquets du noyau ; est-ce que tu pourrais donner le résultat de la commande uname -a ainsi que ls /etc/apt/sources.list.d ?
3) le message d'erreur à propos d'un verrou semble indiquer que tu essaies d'utiliser apt-get alors qu'il y a un autre gestionnaire de paquets ouvert (Muon ou autre) ; ce n'est pas le cas ? même réduit ?

En ligne

#21 Le 24/10/2013, à 18:16

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

1)si ce n'est pas avec apt-get alors avec quoi
2)pour uname -a

Linux theo-1001PXD 3.2.0-54-generic-pae #82-Ubuntu SMP Tue Sep 10 20:29:22 UTC 2013 i686 i686 i386 GNU/Linux

pour ls /etc/apt/sources.list.d

bearoso-ppa-precise.list

3) non muon est bien fermé (j'ai même essayer juste après le démarrage)

Hors ligne

#22 Le 24/10/2013, à 18:49

abelthorne

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

toto20 a écrit :

1)si ce n'est pas avec apt-get alors avec quoi

Ça dépend de ta distro. Avec Ubuntu c'est via la Logithèque. Sous Kubuntu, je ne sais pas, je ne l'ai pas utilisé depuis des années. Théoriquement, si tu double-cliques sur ton .deb dans ton gestionnaire de fichiers, il devrait lancer l'installeur de paquets correspondant (peut-être Muon, peut-être la Logithèque...).
On peut aussi le faire en ligne de commande avec dpkg -i mais c'est à utiliser en faisant attention, dpkg ne gère pas les dépendances.

Cela dit, je croyais que tu étais en Ubuntu 13.10 (Saucy). probablement à cause de Muon, je croyais que c'était une nouveauté. Mais tu es apparemment en 12.04 (Precise). Donc pas besoin de télécharger le .deb et de l'installer comme tu peux : vu que tu as rajouté le PPA de bearoso et que les paquets sont disponibles pour Precise, tu peux passer par apt-get : sudo apt-get install snes9x-gtk

2)pour uname -a
Linux theo-1001PXD 3.2.0-54-generic-pae #82-Ubuntu SMP Tue Sep 10 20:29:22 UTC 2013 i686 i686 i386 GNU/Linux

Tu es donc en 32 bits, avec le noyau PAE 3.2.0.54. Je ne sais pas pourquoi il cherche à t'installer le 3.2.0.53...

Est-ce que Muon te permet d'afficher la liste précise des paquets installés ? Ce serait bien de voir ce qu'il y a comme paquets du kernel en faisant une recherche sur "linux-" mais je ne sais pas si tu peux avoir une liste lisible (avec la Logithèque Ubuntu, par exemple, ce n'est pas le cas). Et je voudrais éviter de te faire faire n'importe quoi au risque d'avoir un système qui ne démarre plus.

On va essayer autre chose : ouvre un terminal, commence à taper apt-get remove linux- mais ne valide pas et appuie rapidement deux fois sur TAB. Il va t'afficher la liste des paquets installés qui commencent par "linux-". Recopie-la ici.
(Après l'affichage de la liste, il te rend la main à l'endroit de la commande où tu en étais, efface simplement ce que tu as tapé.)
Et éventuellement pareil avec apt-get install linux- (pour voir les paquets en "linux-" disponibles mais là il va y en avoir plus, ça va être un peu le bordel à trier).

pour ls /etc/apt/sources.list.d
bearoso-ppa-precise.list

Ok. Tu n'as pas essayé d'installer des paquets en rapport avec le noyau (kernel) via un autre PPA que tu aurais supprimé depuis ? ou manuellement ?

3) non muon est bien fermé (j'ai même essayer juste après le démarrage)

Et quand tu tapes les commandes du genre apt-get, tu les précèdes bien de sudo ?

Dernière modification par abelthorne (Le 24/10/2013, à 18:56)

En ligne

#23 Le 24/10/2013, à 19:22

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

donc sudo apt-get install snes9x-gtk ne marche pas

apt-get remove linux-

linux-firmware                      linux-headers-3.2.0-53-generic-pae  linux-image-3.2.0-52-generic-pae
linux-generic-pae                   linux-headers-3.2.0-54              linux-image-3.2.0-54-generic-pae
linux-headers-3.2.0-37              linux-headers-3.2.0-54-generic-pae  linux-image-3.2.0-55-generic-pae
linux-headers-3.2.0-37-generic-pae  linux-headers-3.2.0-55              linux-image-generic-pae
linux-headers-3.2.0-52              linux-headers-3.2.0-55-generic-pae  linux-sound-base
linux-headers-3.2.0-52-generic-pae  linux-headers-generic-pae           
linux-headers-3.2.0-53              linux-image-3.2.0-37-generic-pae

avec apt-get install linux-

Display all 39681 possibilities? (y or n)

j'ai mis 2 fois tab a la place de mettre entré

et c'est depuis que j'essaye d'installer snes9x-gtk que j’entends parler de ppa  et tout mes logiciel vienne de ma logithèque
je met bien toujours sudo avent apt-get

Hors ligne

#24 Le 24/10/2013, à 19:59

abelthorne

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

toto20 a écrit :

donc sudo apt-get install snes9x-gtk ne marche pas

Tu as bien rechargé les sources après avoir ajouté le PPA ? (sudo apt-get update)

et c'est depuis que j'essaye d'installer snes9x-gtk que j’entends parler de ppa  et tout mes logiciel vienne de ma logithèque
je met bien toujours sudo avent apt-get

Ok. Pour résumer rapidement : Linux utilise un système de dépôts logiciels, càd des endroits sur Internet où sont stockés des logiciels prêts à être installés. Ubuntu propose un certain nombre de dépôts prédéfinis. On peut rajouter des dépôts tiers pour avoir accès à d'autres logiciels qui ne sont pas dans les dépôts, ou dans des versions plus récentes. Les PPA sont des dépôts tiers (Personal Package Archive) qui sont hébergés sur Launchpad.net, un site de canonical (c'est l'éditeur d'Ubuntu : il permet donc à tout un chacun via Launchpad de proposer facilement des dépôts tiers mais c'est juste un service parmi d'autres).
Quand tu passes par la Logithèque, Muon ou équivalent, tu installes les logiciels depuis les dépôts qui sont configurés sur ton système. Idem quand tu passes par apt-get en ligne de commande, tu gères les dépôts configurés. Quand tu ajoutes un dépôt, il faut recharger la liste des sources (pour que le système ait accès à la liste des logiciels installables). Ça se fait via le bouton qui s'appelle généralement "recharger" dans les logiciels graphiques ou avec l'option update pour apt-get.
On peut aussi installer facilement les logiciels sous forme de paquets. Ubuntu utilise le format .deb (qui vient de Debian). D'ailleurs, dans les dépôts, ce sont des paquets .deb qui sont stockés. L'avantage des dépôts par rapport aux paquets indépendants c'est que les dépôts sont maintenus à jour (dans une certaine mesure).

Pour en revenir à ton problème de paquets, tape la commande suivante mais ne réponds pas "oui" tout de suite quand il va te donner la liste des paquets qui vont être supprimés. Recopie-la ici avant (réponds "non" en attendant).
sudo apt-get remove linux-headers-3.2.0-37 linux-headers-3.2.0-37-generic-pae linux-headers-3.2.0-52 linux-headers-3.2.0-52-generic-pae linux-headers-3.2.0-53 linux-headers-3.2.0-53-generic-pae linux-headers-generic-pae linux-image-3.2.0-37-generic-pae linux-image-3.2.0-52-generic-pae linux-image-generic-pae
(Le but est de supprimer les anciennes versions du kernel mais on va essayer d'éviter de supprimer la moitié du système en même temps.)

En ligne

#25 Le 24/10/2013, à 20:39

toto20

Re : je n'arrive pas a telecharger de logiciels avec ma logitèque muon

oui j'ai bien recharger les sources

theo@theo-1001PXD:~$ sudo apt-get remove linux-headers-3.2.0-37 linux-headers-3.2.0-37-generic-pae linux-headers-3.2.0-52 linux-headers-3.2.0-52-generic-pae linux-headers-3.2.0-53 linux-headers-3.2.0-53-generic-pae linux-headers-generic-pae linux-image-3.2.0-37-generic-pae linux-image-3.2.0-52-generic-pae linux-image-generic-pae
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
linux-generic-pae : Dépend: linux-image-generic-pae (= 3.2.0.53.63) mais ne sera pas installé
                     Dépend: linux-headers-generic-pae (= 3.2.0.53.63) mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Hors ligne

Haut de page ↑